All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.olaptableview
Interface HttpOLAPActionTypeKeysInterface

All Superinterfaces:
  OLAPActionTypeKeysInterface

All Known Implementing Classes:
  HttpOLAPActionStrategyFactory, HttpOLAPTableViewSupport

    public interface HttpOLAPActionTypeKeysInterface

extends OLAPActionTypeKeysInterface

Field Summary
`static java.lang.String` | `CELL_VALUE_ASCENDING_SORT_ACROSS_HIERARCHIES_ACTION` The actionType key used to define the default ascending cell value sort action for an OLAP table view.
`static java.lang.String` | `CELL_VALUE_DESCENDING_SORT_ACROSS_HIERARCHIES_ACTION` The actionType key used to define the default descending cell value sort action for an OLAP table view.
`static java.lang.String` | `CHANGE_DATA_ITEM_ACTION`
`static java.lang.String` | `CHANGE_DATA_ITEM_LABEL_ACTION`
`static java.lang.String` | `CHANGE_DATA_ITEM_SAME_DIMENSION_ACTION`
`static java.lang.String` | `EMPTY_LABEL_ACTION` The actionType key used to define the title area's label actions.
`static java.lang.String` | `EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION`
`static java.lang.String` | `EXPORT_TO_EXCEL_SELECTOR_ACTION` The actionType key used to define the measure's label action.
`static java.lang.String` | `FIND_SELECTOR_ACTION`
`static java.lang.String` | `HEADER_LABEL_ACTION` The actionType key used to define the header's label action.
`static java.lang.String` | `LAST_HEADER_LABEL_ACTION` The actionType key used to define the last tuples's label action.
`static java.lang.String` | `MEASURE_LABEL_ACTION` The actionType key used to define the measure's label action.
`static java.lang.String` | `MEMBER_PROPERTIES_SELECTOR_ACTION`
`static java.lang.String` | `MOVE_LABEL_ACTION` The actionType key used to define the measure's label action.
`static java.lang.String` | `MOVE_MEASURE_LABEL_ACTION` The actionType key used to define the measure's label action.
`static java.lang.String` | `RESIZE_COLUMN_ACTION` The actionType key used to define the Resize Column actions.
`static java.lang.String` | `SHOW_DETAIL_DATA_ACTION` The actionType key used to define the Show Detail Data actions.
`static java.lang.String` | `SORT_LABEL_ACTION` The actionType key used to define the measure's label action.
`static java.lang.String` | `TITLE_LABEL_ACTION` The actionType key used to define the title area's label actions.

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPActionTypeKeysInterface
`ASCENDING_SORT_ACTION, CALCULATE_NEW_MEASURE_SELECTOR_ACTION, CELL_VALUE_ASCENDING_SORT_ACTION, CELL_VALUE_DESCENDING_SORT_ACTION, CLEAR_CELL_VALUE_SORT_ACTION, CLEAR_LEVEL_LABEL_SORT_ACTION, CLEAR_SORT_ACTION, COLLAPSE_ACTION, COLLAPSE_ALL_ACTION, DESCENDING_SORT_ACTION, DRILL_DOWN_ACTION, DRILL_UP_ACTION, EXPAND_ACTION, EXPAND_ALL_ACTION, FAR_SELECTOR_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, ISOLATE_MEMBER_ACTION, LEVEL_LABEL_ASCENDING_SORT_ACTION, LEVEL_LABEL_DESCENDING_SORT_ACTION, MOVE_ACTION, MOVE_IN_ACTION, MOVE_MEASURE_IN_ACTION, MOVE_MEASURE_OUT_ACTION, MOVE_OUT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, RESTRICTED_FILTER_SELECTOR_ACTION, ROTATE_ACTION, SHOW_DETAIL_ACTION, SHOW_DETAIL_DATA_SELECTOR_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Field Detail

### HEADER_LABEL_ACTION

    static final java.lang.String HEADER_LABEL_ACTION

  The actionType key used to define the header's label action.

  See Also:
    Constant Field Values

### LAST_HEADER_LABEL_ACTION

    static final java.lang.String LAST_HEADER_LABEL_ACTION

  The actionType key used to define the last tuples's label action.

  See Also:
    Constant Field Values

### SORT_LABEL_ACTION

    static final java.lang.String SORT_LABEL_ACTION

  The actionType key used to define the measure's label action.

  See Also:
    Constant Field Values

### MOVE_LABEL_ACTION

    static final java.lang.String MOVE_LABEL_ACTION

  The actionType key used to define the measure's label action.

  See Also:
    Constant Field Values

### MEASURE_LABEL_ACTION

    static final java.lang.String MEASURE_LABEL_ACTION

  The actionType key used to define the measure's label action.

  See Also:
    Constant Field Values

### MOVE_MEASURE_LABEL_ACTION

    static final java.lang.String MOVE_MEASURE_LABEL_ACTION

  The actionType key used to define the measure's label action.

  See Also:
    Constant Field Values

### TITLE_LABEL_ACTION

    static final java.lang.String TITLE_LABEL_ACTION

  The actionType key used to define the title area's label actions.

  See Also:
    Constant Field Values

### EMPTY_LABEL_ACTION

    static final java.lang.String EMPTY_LABEL_ACTION

  The actionType key used to define the title area's label actions.

  See Also:
    Constant Field Values

### SHOW_DETAIL_DATA_ACTION

    static final java.lang.String SHOW_DETAIL_DATA_ACTION

  The actionType key used to define the Show Detail Data actions.

  See Also:
    Constant Field Values

### FIND_SELECTOR_ACTION

    static final java.lang.String FIND_SELECTOR_ACTION

See Also:
  Constant Field Values

### MEMBER_PROPERTIES_SELECTOR_ACTION

    static final java.lang.String MEMBER_PROPERTIES_SELECTOR_ACTION

See Also:
  Constant Field Values

### EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION

    static final java.lang.String EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION

See Also:
  Constant Field Values

### RESIZE_COLUMN_ACTION

    static final java.lang.String RESIZE_COLUMN_ACTION

  The actionType key used to define the Resize Column actions.

  See Also:
    Constant Field Values

### EXPORT_TO_EXCEL_SELECTOR_ACTION

    static final java.lang.String EXPORT_TO_EXCEL_SELECTOR_ACTION

  The actionType key used to define the measure's label action.

  See Also:
    Constant Field Values

### CELL_VALUE_ASCENDING_SORT_ACROSS_HIERARCHIES_ACTION

    static final java.lang.String CELL_VALUE_ASCENDING_SORT_ACROSS_HIERARCHIES_ACTION

  The actionType key used to define the default ascending cell value sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### CELL_VALUE_DESCENDING_SORT_ACROSS_HIERARCHIES_ACTION

    static final java.lang.String CELL_VALUE_DESCENDING_SORT_ACROSS_HIERARCHIES_ACTION

  The actionType key used to define the default descending cell value sort action for an OLAP table view. By default, this action is associated with the ROW_HEADER_AREA and COLUMN_HEADER_AREA.

  See Also:
    Constant Field Values

### CHANGE_DATA_ITEM_LABEL_ACTION

    static final java.lang.String CHANGE_DATA_ITEM_LABEL_ACTION

See Also:
  Constant Field Values

### CHANGE_DATA_ITEM_ACTION

    static final java.lang.String CHANGE_DATA_ITEM_ACTION

See Also:
  Constant Field Values

### CHANGE_DATA_ITEM_SAME_DIMENSION_ACTION

    static final java.lang.String CHANGE_DATA_ITEM_SAME_DIMENSION_ACTION

See Also:
  Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.